import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

public class Desktop extends JFrame implements ActionListener
{
	JDesktopPane desktop=new JDesktopPane();
	JMenuBar menu=new JMenuBar();
	// Erzeugen einen Objekt von Men
	JMenu m1=new JMenu("Bilder");
	// Erzeugen Eintrge fr das Men
	JMenuItem mi1=new JMenuItem("Winter");
	JMenuItem mi2=new JMenuItem("Sonnenuntergang");
	JMenuItem mi3=new JMenuItem("Wasserlilien");
	JMenuItem mi4=new JMenuItem("Blaue Berge");
	// Konstruktor fr das Desktop erzeugen
	public Desktop()
	{
		super("Erzeugen von Desktopfenster");
		Container cp=getContentPane();
		try
		{
			UIManager.setLookAndFeel("con.sun.java.swing.plaf.windows.WindowsLookAndFeel");
		}
		catch(Exception e1) {}
		SwingUtilities.updateComponentTreeUI(this.getContentPane());
		menu.add(m1);
		// Einfgen der Elemente in die Menuleiste
		m1.add(mi1);	m1.add(mi2);
		m1.add(mi3);	m1.add(mi4);
		// Verbinden von ActionListener mit den Meneintrgen
		mi1.addActionListener(this);
		mi2.addActionListener(this);
		mi3.addActionListener(this);
		mi4.addActionListener(this);
		// Einfgen von MenuPanel in das Frame
		setJMenuBar(menu);
		// Erzeugen eine Container

		cp.add(desktop);
		setContentPane(cp);


	}
	// Methode von internen Frame
	public void createFrame(String s)
	{
		InternenFrame intern=new InternenFrame(s);
		// Rahmen von Internen Frame sichtbar machen
		intern.setVisible(true);
		// Internne Frame zum Desktop erzeugen
		desktop.add(intern);
		// Versuche neue Rahmen zu selektieren
		try
		{
			intern.setSelected(true);
		}
		catch(java.beans.PropertyVetoException e) {}
	}
	// Behandlung von Ereignissen
	public void actionPerformed(ActionEvent ae)
	{
		// Bestimmen die Quelle von Ereignissen
		Object quelle=ae.getSource();
		if (quelle==mi1)createFrame("Winter.gif");
		if (quelle==mi2) createFrame("Sonnenuntergang.gif");
		if (quelle==mi3) createFrame("Wasserlilien.gif");
		if (quelle==mi4) createFrame("Blaue Berge.gif");
	}
	// Einrichten der main-Methode
	public static void main(String[] args)
	{
		JFrame rahmen=new Desktop();
		// WindowsListener zum Schliessen des Fensters
		WindowListener w1=new WindowAdapter()
		{
			public void windowClosing(WindowEvent we)
			{
				System.exit(0);
			}
		};
		// WindowListener zum Rahmen hinzufgen
		rahmen.addWindowListener(w1);
		rahmen.setSize(500,300);

		rahmen.setVisible(true);
	}
}

class InternenFrame extends JInternalFrame
{
	String text;
	static int count=0;
	static final int xOffset=30, yOffset=30;

	// Konstruktor fr neue Internen Frame
	public InternenFrame(String s)
	{
		super(s,
			true,  // Grsse ndern
			true,  // schliessbar
			true,  // maximieren
			true); // minimieren
		JPanel pan=new JPanel();
		// Erzeugen einen Panel
		JLabel lab=new JLabel(new ImageIcon(s));
		// Position der Rahmen festlegen
		setSize(300,200);
		setLocation(xOffset*count, yOffset*count);
		count++;pan.add(lab);
		setContentPane(pan);
	}
}




