import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

public class SplitPane extends JFrame implements ActionListener
{
	JTextArea textar=new JTextArea(5,20);
	JButton button2=new JButton("Textfeld");
	JTextField tf=new JTextField("",10);
	JPanel pan1=new JPanel();
	JPanel pan2=new JPanel();
	JPanel pan3=new JPanel();
	JPanel pan4=new JPanel();
	ImageIcon im=new ImageIcon("Sonnenuntergang.gif");
	//Konstruktor von SplitPane
	public SplitPane()
	{
		super("Das Frame wird in vier Teile gesplittet");
		Container cp=getContentPane();
		// Layout von Container festlegen
		cp.setLayout(new GridLayout(2,2));
		// Grundkomponenten fr JSplitPanel erzeugen
		pan1.setLayout(new FlowLayout());
		pan1.add(button2);
		button2.addActionListener(this);
		pan2.add(textar);
		JLabel label=new JLabel(im);
		JScrollPane sp=new JScrollPane(label);
		sp.setSize(100,100);
		pan3.add(tf);
		// Erzeugen ein Objekt von Typ JSplitPane
		JSplitPane split1=new JSplitPane(JSplitPane.VERTICAL_SPLIT,pan3,pan2);
		JSplitPane split2=new JSplitPane(JSplitPane.HORIZONTAL_SPLIT,sp,pan1);
		// Erzeugen der Pfeilspitzen zum Bewegen von Anzeigenberiech
		split1.setOneTouchExpandable(true);
		split2.setOneTouchExpandable(true);
		cp.add(split1);
		cp.add(split2);
		setContentPane(cp);

	}
	// Actionen von Button festlegen
	public void actionPerformed(ActionEvent ae)
	{
		Object quelle=ae.getSource();
		if(quelle==button2)
			tf.setText("Button gedrckt");

	}
	// Erzeugen der main-Methode
	public static void main(String[] args)
	{
		JFrame rahmen=new SplitPane();
		// WindowsListener zum Schliessen des Fensters
		WindowListener w1=new WindowAdapter()
		{
			public void windowClosing(WindowEvent we)
			{
				System.exit(0);
			}
		};
		// WindowListener zum Rahmen hinzufgen
		rahmen.addWindowListener(w1);
		rahmen.setSize(500,300);
		rahmen.setVisible(true);
	}
}

